texlive[46604] Master/tlpkg/bin: more checks that

commits+karl at tug.org commits+karl at tug.org
Mon Feb 12 01:39:49 CET 2018


Revision: 46604
          http://tug.org/svn/texlive?view=revision&revision=46604
Author:   karl
Date:     2018-02-12 01:39:49 +0100 (Mon, 12 Feb 2018)
Log Message:
-----------
more checks that signing/checksumming was successful for the nightly build

Modified Paths:
--------------
    trunk/Master/tlpkg/bin/tl-sign-file
    trunk/Master/tlpkg/bin/tl-update-containers
    trunk/Master/tlpkg/bin/tl-update-images
    trunk/Master/tlpkg/bin/tl-update-install-pkg
    trunk/Master/tlpkg/bin/tl-update-tlcritical

Modified: trunk/Master/tlpkg/bin/tl-sign-file
===================================================================
--- trunk/Master/tlpkg/bin/tl-sign-file	2018-02-11 23:11:41 UTC (rev 46603)
+++ trunk/Master/tlpkg/bin/tl-sign-file	2018-02-12 00:39:49 UTC (rev 46604)
@@ -1,7 +1,7 @@
 #!/bin/sh
 # $Id$
 # Public domain.  Originally written 2016, Norbert Preining
-# Sign a file for release in TeX Live
+# Sign a file for release in TeX Live.
 
 if test $# -ne 1; then
   echo "$0: Exactly one argument must be given, the file to sign." >&2
@@ -12,13 +12,13 @@
 rm -f "$1.asc"
 
 prg=gpg
-if ! [ "x$TL_GNUPG" = "x" ] ; then
+if test "x$TL_GNUPG" != "x" ; then
   # use the environment variable TL_GNUPG
   prg=$TL_GNUPG
 fi
 
 # sign
-$prg --batch \
+"$prg" --batch \
     --homedir /home/texlive/.gnupg \
     --passphrase-file /home/texlive/.gnupg/passphrase \
     --armor \

Modified: trunk/Master/tlpkg/bin/tl-update-containers
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-containers	2018-02-11 23:11:41 UTC (rev 46603)
+++ trunk/Master/tlpkg/bin/tl-update-containers	2018-02-12 00:39:49 UTC (rev 46604)
@@ -1,5 +1,5 @@
 #!/usr/bin/env perl
-# Copyright 2008-2016 Norbert Preining
+# Copyright 2008-2018 Norbert Preining
 # This file is licensed under the GNU General Public License version 2
 # or any later version.
 # 
@@ -76,8 +76,8 @@
   my @packs = $tlpdb->expand_dependencies("-only-arch", $tlpdb,
                                         @ARGV ? @ARGV : $tlpdb->list_packages);
 
-  # if no argument is passed in, we use tl-sign-file from script_master
-  if (!$opt_gpgcmd) {
+  # if no argument passed, we use tl-sign-file from script_master
+  if (! $opt_gpgcmd) {
     $opt_gpgcmd = "$script_master/tlpkg/bin/tl-sign-file";
   }
 

Modified: trunk/Master/tlpkg/bin/tl-update-images
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-images	2018-02-11 23:11:41 UTC (rev 46603)
+++ trunk/Master/tlpkg/bin/tl-update-images	2018-02-12 00:39:49 UTC (rev 46604)
@@ -229,10 +229,10 @@
   cd $target || exit 1
   #
   rm -f $tarfile.sha512
-  sha512sum `basename $tarfile` >$tarfile.sha512
+  sha512sum `basename $tarfile` >$tarfile.sha512 || exit 1
   #
   rm -f $tarfile.sha512.asc
-  $master/tlpkg/bin/tl-sign-file $tarfile.sha512
+  $master/tlpkg/bin/tl-sign-file $tarfile.sha512 || exit 1
   #
   cd $origdir || exit 1
 

Modified: trunk/Master/tlpkg/bin/tl-update-install-pkg
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-install-pkg	2018-02-11 23:11:41 UTC (rev 46603)
+++ trunk/Master/tlpkg/bin/tl-update-install-pkg	2018-02-12 00:39:49 UTC (rev 46604)
@@ -1,7 +1,6 @@
 #!/usr/bin/env perl
 # $Id$
-#
-# Copyright 2008-2016 Reinhard Kotucha, Norbert Preining, Karl Berry
+# Copyright 2008-2018 Reinhard Kotucha, Norbert Preining, Karl Berry
 # This file is licensed under the GNU General Public License version 2
 # or any later version.
 
@@ -239,10 +238,9 @@
   for my $f ("install-tl-unx.tar.gz", "install-tl.zip",
              "install-tl-windows.exe") {
     copy ("$tmpdir/$f", $outputdir);
-    system ("cd $outputdir && $TeXLive::TLConfig::ChecksumProgram $f >$f.$TeXLive::TLConfig::ChecksumExtension");
-    # keep that on one line!
-    system ("cd $outputdir && rm -f $f.$TeXLive::TLConfig::ChecksumExtension.asc");
-    system ("cd $outputdir && $opt_gpgcmd $f.$TeXLive::TLConfig::ChecksumExtension");
+    xsystem ("cd $outputdir && $TeXLive::TLConfig::ChecksumProgram $f >$f.$TeXLive::TLConfig::ChecksumExtension");
+    xsystem ("cd $outputdir && rm -f $f.$TeXLive::TLConfig::ChecksumExtension.asc");
+    xsystem ("cd $outputdir && $opt_gpgcmd $f.$TeXLive::TLConfig::ChecksumExtension");
     system ('ls', '-l', "$outputdir/$f");
   }
 

Modified: trunk/Master/tlpkg/bin/tl-update-tlcritical
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-tlcritical	2018-02-11 23:11:41 UTC (rev 46603)
+++ trunk/Master/tlpkg/bin/tl-update-tlcritical	2018-02-12 00:39:49 UTC (rev 46604)
@@ -51,7 +51,7 @@
   # make checksum for new file:
   sha512sum $newfile >$newfile.sha512
   # sign it:
-  $master/tlpkg/bin/tl-sign-file $newfile.sha512
+  $master/tlpkg/bin/tl-sign-file $newfile.sha512 || exit 1
   #
   # create the generic names as symlinks.  target files must be nonempty.
   test -s $newfile \



More information about the tex-live-commits mailing list